<template>
  <div>
    <Component
      :is="getCurrentComponent"
      @nextStage="nextStage"
    />
  </div>
</template>

<script>

import VisitSummarySummary from "@/components/quizes/VisitSummary/VisitSummarySummary";
import VisitSummaryShipping from "@/components/quizes/VisitSummary/VisitSummaryShipping";

export default {
  name: "VisitSummary",
  data() {
    return {
      stages: {
        1: VisitSummarySummary,
        2: VisitSummaryShipping,
      },
      stageNumber: 2,
    }
  },
  methods: {
    nextStage() {
      if (this.stageNumber >= this.maxStages) {
        this.$emit('nextStage')
      } else {
        this.stageNumber++
      }
    }
  },
  computed: {
    getCurrentComponent() {
      return this.stages[this.stageNumber]
    },
    maxStages() {
      return Object.keys(this.stages).length
    }
  }
}
</script>

<style scoped>

</style>
